All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.olaptableview
Class OLAPRowHeaderSelectionModel

    com.sas.swing.visuals.olaptableview.OLAPRowHeaderSelectionModel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.swing.ListSelectionModel

    @SASScope(value="ALL")
    public class OLAPRowHeaderSelectionModel

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.swing.visuals.tableview.CellSelectionModel
`anchorOrdinal, extendedValue, firstAdjustedOrdinal, firstChangedOrdinal, lastAdjustedOrdinal, lastChangedOrdinal, leadOrdinal, MAX, maxOrdinal, MIN, minOrdinal, table, value`

Constructor Summary
`OLAPRowHeaderSelectionModel()`
`OLAPRowHeaderSelectionModel(OLAPTableView table)`

Method Summary
`protected void` | `changeSelection(java.util.BitSet bits, int clearMin, int clearMax, int setMin, int setMax, boolean clearFirst)`
`void` | `clearSelection()` Calls clearSelection() of all ListSelectionModels.
`protected int` | `createOrdinal(int row, int column)` Creates the ordinal value for the given row-column pair.
`protected int` | `getMaxLevel(int ordinal)`
`protected int` | `getMaxRow(int ordinal)`
`protected int` | `getMinLevel(int ordinal)`
`protected int` | `getMinRow(int ordinal)`
`protected void` | `validateMinAndMaxOrdinal()`

Methods inherited from class com.sas.swing.visuals.tableview.CellSelectionModel
`addSelection, addSelectionInterval, addSelectionInterval, changeSelection, changeSelection, changeTempSelection, changeTempSelection, clear, clone, contains, fireValueChanged, fireValueChanged, fireValueChanged, fireValueChanged, getAnchorSelectionIndex, getLeadSelectionIndex, getMaxSelectionIndex, getMaxSelectionOrdinal, getMinSelectionIndex, getMinSelectionOrdinal, getTable, insertIndexInterval, isSelected, isSelectedIndex, isSelectionEmpty, markAsDirty, removeIndexInterval, removeSelection, removeSelectionInterval, removeSelectionInterval, set, setAnchorSelectionCell, setAnchorSelectionIndex, setLeadSelectionCell, setLeadSelectionIndex, setSelection, setSelectionInterval, setSelectionInterval, setTable, toString, updateLeadAnchorOrdinals, updateSelectedValues`

Constructor Detail

### OLAPRowHeaderSelectionModel

    public OLAPRowHeaderSelectionModel()

### OLAPRowHeaderSelectionModel

    public OLAPRowHeaderSelectionModel(OLAPTableView table)

Method Detail

### getMinRow

    protected int getMinRow(int ordinal)

### getMaxRow

    protected int getMaxRow(int ordinal)

### getMinLevel

    protected int getMinLevel(int ordinal)

### getMaxLevel

    protected int getMaxLevel(int ordinal)

### createOrdinal

    protected int createOrdinal(int row,
                                int column)

  Description copied from class: `CellSelectionModel`
  Creates the ordinal value for the given row-column pair. The ordinals are numbered 0 through `getTable().getRowCount() * getTable().getColumnCount() - 1` with the ordinal mapping to 0 being the cell located at 0, 0. The ordinals increase by 1 going across columns and by the going across rows.

  Overrides:
    `createOrdinal` in class `CellSelectionModel`
  Parameters:
    `row` - the row index
    `column` - the column index
  Returns:
    an integer in the range of 0 to `getTable().getRowCount() * getTable().getColumnCount() - 1` if the cell is valid

### clearSelection

    public void clearSelection()

  Calls clearSelection() of all ListSelectionModels.

  Specified by:
    `clearSelection` in interface `javax.swing.ListSelectionModel`
  Overrides:
    `clearSelection` in class `CellSelectionModel`

### changeSelection

    protected void changeSelection(java.util.BitSet bits,
                                   int clearMin,
                                   int clearMax,
                                   int setMin,
                                   int setMax,
                                   boolean clearFirst)

  Overrides:
    `changeSelection` in class `CellSelectionModel`

### validateMinAndMaxOrdinal

    protected void validateMinAndMaxOrdinal()

  Overrides:
    `validateMinAndMaxOrdinal` in class `CellSelectionModel`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.